Skip to main content

ActivateSKU

Activates or deactivates a SKU by setting its availability status. This applies to both the auditing and approved records of the SKU simultaneously.

Host: dip-cb.binanceapi.com

PUT /mp-api/v1/apps/{appId}/skus/{skuId}/activate

Header

ParameterRequiredDescription
X-Mp-Open-Api-TokenYesJWT token. Please refer to Description of External Interface Signature Authentication Algorithm

Path Parameters

ParameterDescription
appIdThe AppId of the mini program
skuIdThe skuId of the SKU

Body Parameters

ParameterTypeRequiredDescriptionExample
statusbooleanYesTrue to activate; false to deactivatetrue

Request Body

​{
"status": true
}

Response

HTTP 200

{
"code": "000000",
"message": null,
"data": {},
"success": true
}
ErrorCodeRemark
000000Success
900001Invalid Parameter
900002JWT Authentication Failed
900003Unexpected Error
900260Invalid SkuId

Note:

  1. Activating or deactivating a SKU updates both the auditing and approved records for that SKU.